NAUTY-GENTREEG(1)

NAME
nauty-gentreeg - generate trees

SYNOPSIS
gentreeg [-D#] [-Z#:#] [-ulps] [-q] n|n1:n2 [res/mod] [file]

DESCRIPTION

    Generate (unrooted) trees.

    n, n1:n2 : the number of vertices or a range

    Outputs are in order of the number of vertices.

    res/mod : only generate subset res out of subsets 0..mod-1

-D# : an upper bound for the maximum degree

-Z#:# : bounds for the diameter

-s  : use sparse6 output (default)

-p  : write a parent array

-l  : write a level array

-u  : do not output any graphs, just generate and count them

-q  : suppress auxiliary output

    See program text for much more information.